<?php
include_once(dirname(dirname(dirname(__FILE__))) . '/classes/check.class.php');
include_once(dirname(dirname(dirname(__FILE__))) . '/admin/classes/functions.php');
protect("Admin, Tech");

$invoice_id = @$_GET['invoice_id'];

if ( !$invoice_id ) {
	die('No Invoice');
}

$db = DB::getInstance();

$invoice = $db->query('SELECT * FROM invoice WHERE id = ?', [$invoice_id])->toArray();

if ( empty($invoice) )
	die('No Invoice');
$invoice = $invoice[0];
$clientInfo = null;
if ( !empty($invoice['client_id']) ) {
    $clientInfo = getClient($invoice['client_id']);
}
//var_dump($invoice);die;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
    <meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE" />

    <title>Facture</title>
	
	<link rel='stylesheet' type='text/css' href='css/style.css' />
	<link rel='stylesheet' type='text/css' href='css/print.css' media="print" />

</head>

<body>

	<div id="page-wrap">

		<div id="header">FACTURE</div>
		
		<div id="identity">

            <div id="logo">
                <img id="image" style="height: 95px;" src="images/email-logo.png" alt="logo" />
            </div>

            <div style="margin-top: 10px; padding-right:0;" id="address">

<!--				<span style="color: #ff8f73; font-weight: 600; text-transform: uppercase; line-height: 2;">--><?php //echo !empty($invoice['company']) ? $invoice['company'] : ( $clientInfo ? $clientInfo['company']: '' ); ?><!--</span>-->
<!--				<br>-->
<!--                <span style="font-size: 15px; color: #2f3640;">-->
<!--                    --><?php //echo $clientInfo['address']; ?><!-- <br>-->
<!--                    --><?php //echo $clientInfo['tel']; ?><!-- <br>-->
<!--                    --><?php //echo $clientInfo['email']; ?>
<!--                </span>-->

                    <p style="font-size: 10px"> <strong>9059-1652 Québec Inc.</strong><br>
                    7 des Tournois, Blainville,<br>
                    Québec<br>
                    514-916-7514<br>
                    katyadufour@bosse.ca

			</div>
		
		</div>
		
		<div style="clear:both"></div>
		
		<div id="customer">

            <div id="customer-title">


<!--				<div class="address-details">-->
<!--                    9059-1652 Québec Inc.<br>-->
<!--                    7 des Tournois, Blainville,<br>-->
<!--                    Québec<br>-->
<!--                    514-916-7514<br>-->
<!--                    katyadufour@bosse.ca-->
<!--                </div>-->
                <span style="color: #ff8f73; font-weight: 600; text-transform: uppercase; line-height: 2;"><?php echo !empty($invoice['company']) ? $invoice['company'] : ( $clientInfo ? $clientInfo['company']: '' ); ?></span>
                <br>
                <span style="font-size: 15px; color: #2f3640;">
                    <?php echo $clientInfo['address']; ?> <br>
                    <?php echo $clientInfo['tel']; ?> <br>
                    <?php echo $clientInfo['email']; ?> <br>
                </span>


			</div>

            <table id="meta">
                <tr>
                    <td class="meta-head"># de facture</td>
                    <td><textarea><?php echo $invoice['reclamation']; ?></textarea></td>
                </tr>
                <tr>
                    <td class="meta-head">Date</td>
                    <td><textarea id="date"><?php echo date('F j, Y', strtotime($invoice['created_at'])); ?></textarea></td>
                </tr>
                <tr>
                    <td class="meta-head">Status</td>
                    <td style="color: <?php echo $invoice['payment_status'] == 1 ? 'green' : 'red'; ?>;"><?php echo $invoice['payment_status'] == 1 ? 'payé' : 'non-payé'; ?></td>
                </tr>
                <tr>
                    <td class="meta-head">Paiement</td>
                    <td><?php echo $invoice['payment_method']; ?></td>
                </tr>
            </table>
		
		</div>
		
<div class="car-info">
            <strong>VIN:</strong> <?php echo $invoice['vin']; ?>
            <strong>Marque:</strong> <?php echo $invoice['brand']; ?>
            <strong>Modèle:</strong> <?php echo $invoice['model']; ?>
            <strong>Année:</strong> <?php echo $invoice['year']; ?>
            <strong>P.A:</strong> <?php echo $invoice['particular_area']; ?>
            <strong>B.T:</strong> <?php echo $invoice['brake_type']; ?>
        </div>

		<table id="items">
		
		  <tr>
		      <th>Items</th>
		      <th>Description</th>
		      <th>Prix</th>
		  </tr>

		  <?php
		  	$items = array(
				1 => 'CAPOT',
				2 => 'PAVILLON',
				3 => 'DESSUS HAYON',
				4 => 'VALISE HAYON',
				5 => 'PAN. LATERAL G',
				6 => 'PORTE ARR. G',
				7 => 'PORTE AV. G',
				8 => 'LONGERON G',
				9 => 'AILE G',
				10 => 'AILE D',
				11 => 'PORTE Av. D',
				12 => 'PORTE ARR. D',
				13 => 'PAN LATERAL D',
				14 => 'LONGERON D',
				15 => 'OTHER',
				'stripping' => 'Dégarnissage',
				'other_fees' => 'Autres',
				'glazier' => 'Vitrier',
				'work_force' => 'Main d`oeuvre',
				'parts' => 'Pièces'
			);
		  ?>

		  <?php foreach ( $items as $key => $item ):

			  //if ( $invoice['inv_' . $key . '_price'] <= 0 ) continue;

			  ?>
			  <tr class="item-row">
				  <td>
					  <?php echo $item; ?>
				  </td>
				  <td class="item-name">
					  <div class="delete-wpr"><?php echo $invoice['inv_' . $key . '_note']; ?></div>
				  </td>
				  <td>
					  <span class="price">$<?php echo $invoice['inv_' . $key . '_price']; ?></span>
				  </td>
			  </tr>
		  <?php endforeach; ?>

<tr class="item-row">
    <td colspan="3"></td>
</tr>

		  <tr>
		      <td colspan="2" class="total-line">Sous-total</td>
		      <td class="total-value">
				  <div id="subtotal">$<?php echo $invoice['sub_total']; ?></div>
			  </td>
		  </tr>
		  <tr>
<!--		      <td class="blank"> </td>-->
		      <td  colspan="2" class="total-line">142389147 TPS(5%)</td>
		      <td class="total-value">
				  <div id="subtotal">$<?php echo $invoice['tps']; ?></div>
			  </td>
		  </tr>
		  <tr>
<!--		      <td class="blank"> </td>-->
		      <td colspan="2"  class="total-line">1021225025 TVQ(9.975%)</td>
		      <td class="total-value">
				  <div id="subtotal">$<?php echo $invoice['tvq']; ?></div>
			  </td>
		  </tr>
		  <tr>
<!--		      <td class="blank"> </td>-->
		      <td  colspan="2" class="total-line">Franchise</td>
		      <td class="total-value">
				  <div id="subtotal">$<?php echo $invoice['franchise']; ?></div>
			  </td>
		  </tr>

		  <tr>
<!--		      <td class="blank"> </td>-->
		      <td  colspan="2" class="total-line">Total</td>
		      <td class="total-value">
				  <div id="subtotal">$<?php echo $invoice['total']; ?></div>
			  </td>
		  </tr>

		  <tr>
<!--		      <td class="blank"> </td>-->
		      <td colspan="2"  class="total-line">Dépôt</td>
		      <td class="total-value">
				  <div id="subtotal">$<?php echo $invoice['deposit']; ?></div>
			  </td>
		  </tr>

		  <tr>
<!--		      <td class="blank"> </td>-->
		      <td  colspan="2" class="total-line">Balance</td>
		      <td class="total-value">
				  <div id="subtotal">$<?php echo $invoice['balance']; ?></div>
			  </td>
		  </tr>

		</table>
		
<!--		<div id="terms">-->
<!--		  <h5>Terms</h5>-->
<!--		  <p>A Custom Note</p>-->
<!--		</div>-->

        <div class="address-signature">
            <div class="half-w">
                <p>Je soussigné(e), assuré(e) ou représentant de l’assuré(e), déclare avoir pris connaissance des réparations de débosselage sans peinture exécuter sur mon véhicule par Carrossier Express, et je m’en déclare entièrement satisfait(e).</p>
            </div>
            <div class="half-w">
                <img src="<?php echo $invoice['signature_img']; ?>" alt="Signature of <?php echo $invoice['f_name'] . ' ' . $invoice['l_name']; ?>">
                <h3>Signature du client</h3>
            </div>
            <div style="width: 100%; clear: both;">
                <p><?php echo $invoice['damages']; ?></p>
            </div>
        </div>


	</div>

	<?php if ( isset($_GET['print']) && $_GET['print'] == 'y' ): ?>

		<script>
			window.setTimeout(function () {
				window.print();
			}, 500);
		</script>

	<?php endif; ?>

</body>

</html>